# THESE FUNCTIONS MASK ONES FROM VOIR (ie stand-ins).
#' Dummy functions and constants to mask Voir functions that do nothing
#' @param ... ignored
#' @return nothing
#' @note These functions don't do anything.
#' They're just there so scripts done with the
#' Voir version of this package still work in the non-Voir version.
#' @family voirCompatibility
#' @rdname voirCompatibility
#' @aliases dummy compatibility voir-compatibility backwards-compatibility
#' backwardscompatibility
#' @export
IM.ALL <- NULL
#' @rdname voirCompatibility
#' @export
IM.RGB <- NULL
#' @rdname voirCompatibility
#' @export
IM.BINARY <- NULL
#' @rdname voirCompatibility
#' @export
IM.CHAR <- NULL
#' @rdname voirCompatibility
#' @export
IM.DOUBLE <- NULL
#' @rdname voirCompatibility
#' @export
IM.FLOAT <- NULL
#' @rdname voirCompatibility
#' @export
IM.INT <- NULL
#' @rdname voirCompatibility
#' @export
IM.INT1 <- NULL
#' @rdname voirCompatibility
#' @export
IM.INT2 <- NULL
#' @rdname voirCompatibility
#' @export
IM.INT4 <- NULL
#' @rdname voirCompatibility
#' @export
IM.INT8 <- NULL
#' @rdname voirCompatibility
#' @export
IM.SHORT <- NULL
#' @rdname voirCompatibility
#' @export
IM.SINGLE <- NULL
#' @rdname voirCompatibility
#' @export
IM.UINT1 <- NULL
#' @rdname voirCompatibility
#' @export
IM.UINT2 <- NULL
#' @rdname voirCompatibility
#' @export
IM.UINT4 <- NULL
#' @rdname voirCompatibility
#' @export
IM.UINT8 <- NULL

#' @rdname voirCompatibility
#' @export
imsetimgtype <- function(...) invisible(NULL)
#' @rdname voirCompatibility
#' @export
imsetpixtype <- function(...) invisible(NULL)
#' @rdname voirCompatibility
#' @export
imgetpixtype <- function(...) NULL
#' @rdname voirCompatibility
#' @export
imgetimgtype <- function(...) NULL
#' @rdname voirCompatibility
#' @export

