\name{imdrawabline}
\alias{imdrawabline}
\title{Draw a y=ax+b (origin bottom-left, cartesian) line onto an image}
\usage{
  imdrawabline(img, a, b, col, x1 = 1, y1 = imgetny(img),
    x2 = imgetnx(img), y2 = 1, one.based = TRUE,
    max = imageUtilities.option("max"))
}
\arguments{
  \item{img}{image to draw on}

  \item{a}{slope of line. for the special case
  \code{a=Inf}, the equation of the line is taken to be
  \code{x=b}.}

  \item{b}{intercept of line}

  \item{col}{colour to draw the line in}

  \item{x1}{left x clipping box, default left of image}

  \item{y1}{bottom y clipping box, default bottom of image}

  \item{x2}{right x clipping box, default right of image}

  \item{y2}{top y clipping box, default top of image}

  \item{one.based}{whether the input indices are one-based}

  \item{max}{maximum image intensity (can usually ignore)}
}
\value{
  the image with the line \code{y=ax+b} drawn on it, within
  the clipping box (x1,y1) to (x2,y2) (inclusive).
}
\description{
  Draw a y=ax+b (origin bottom-left, cartesian) line onto
  an image
}
\note{
  if \code{col} is supplied in vector form and has any
  elements greater than 1, *and* max is greater than 1,
  then we will assume that \code{col} scales from 0 to 255.
}
\seealso{
  \code{\link{imdrawline}} for a line given specific
  start/end points

  Other draw: \code{\link{drawImage}},
  \code{\link{imdisp}}, \code{\link{imdrawline}},
  \code{\link{plotPoints}}, \code{\link{pointPicker}}

  Other sandbox: \code{\link{imdrawline}}
}

