\name{imloadthermal}
\alias{imloadthermal}
\title{Loads a thermal image from a .bin file}
\usage{
  imloadthermal(filename, size = c(640, 480),
    max = imageUtilities.option("max"),
    return.what = c("array", "image"))
}
\arguments{
  \item{filename}{the file name of the .bin file}

  \item{size}{the width,height of the image (default
  640x480 for the Thermoteknix Miricle)}

  \item{max}{what maximum intensity to scale the image to.
  Put NA or 0 or NULL to not scale}

  \item{return.what}{c("array","image"): whether to return
  an array of the image values, or a Voir image (**if you
  have Voir**).}
}
\value{
  a LIST with components: \describe{ \item{image}{The
  data/intensities of the thermal image (ie array or Voir
  image)} \item{detectorTemperature}{The temperature of the
  detector in the camera at time of image}.  }
}
\description{
  Loads a thermal image from a .bin file
}
\seealso{
  Other thermal: \code{\link{isthermal}}
}

