\name{imsubsample2}
\alias{imsubsample2}
\title{subsample an image to at most a certain size}
\usage{
  imsubsample2(src, maxSize, method = c("every", "mean"),
    strict = TRUE)
}
\arguments{
  \item{src}{input image to downsample}

  \item{maxSize}{\code{c(width,height)} specifying the
  maximum size the output image is permitted to be. NA for
  dimensions you don't care about.}

  \item{method}{'every' or 'mean'. See
  \code{\link{imsubsample}}.}

  \item{strict}{whether to strictly enforce the image being
  at most maxSize, or allow slightly bigger if that works
  better than the smaller option.}
}
\value{
  input image subsampled such that it is at *most* maxSize.
}
\description{
  subsample an image to at most a certain size
}
\note{
  The factor to downsample by must be an integer, so the
  integer chosen is \code{ceiling(size/maxSize)} if
  \code{strict=TRUE}, and \code{round(size/maxSize)}
  otherwise.

  Aspect ratio is preserved.
}
\seealso{
  \code{\link{imsubsample}}.
}

