\name{showOverlay}
\alias{showOverlay}
\title{Overlay a binary image onto another image, displaying it using grid.}
\usage{
  showOverlay(img, ovl,
    windowTitle = deparse(substitute(ovl)), ...)
}
\arguments{
  \item{img}{the image to overlay onto}

  \item{ovl}{the *binary* image to be overlaid onto img.}

  \item{windowTitle}{The title to use for the overlay
  (default being the variable name of the overlay image...)
  *NOT USED*}

  \item{...}{ignored.}
}
\value{
  the connection to the viewport
}
\description{
  Overlay a binary image onto another image, displaying it
  using grid.
}
\note{
  This just displays the overlay on top of the image. If
  you want the actual image object consisting of the
  overlay on the image, use \code{\link{makeOverlay}}.
}
\seealso{
  Other overlay: \code{\link{makeOverlay}},
  \code{\link{makeOverlay.grid}}
}

